После обновления на macOS 10.13.1 заплатку для root-уязвимости придется ставить снова

Пользователям, установившим исправления безопасности на macOS High Sierra 10.13.0, придется снова скачать патчи при переходе на  macOS High Sierra 10.13.1. Об этом сообщает издание 9to5Mac.

Прошлая неделя — 27 ноября – 3 декабря 2017 года — выдалась непростой для Apple. В операционных системах корпорации были обнаружены несколько крупных уязвимостей:

  • любой человек с физическим доступом к компьютеру мог получить права администратора;
  • наступление 2 декабря 2017 года привело к неконтролируемым перезагрузкам многих iPhone;
  • а обновление iOS 11.2 повлияло на работу Face ID.

Специалисты Apple выпускали исправления довольно оперативно, но в спешке немного позабыли про надежность и качество. Поэтому установка патчей, в свою очередь, приводила к появлению незначительных проблем.

Пользователям, работавшим на macOS High Sierra 10.13.0 и устанавливавшим все исправления, придется скачать и активировать патчи снова после перехода на macOS High Sierra 10.13.1. Причем, чтобы заплатки успешно сохранились и исправно заработали, компьютер придется перзагрузить. Однако в описании патча о необходимости перезагрузки ничего не сказано.

Установить обновление можно через App Store или вручную, скачав его с сайта службы поддержки Apple.

Представители Apple никак не прокомментировали проблему нестабильности заплаток. Возможно, некоторые патчи будут вскоре перееизданы, и пользователю не придется переустанавливать патчи после обновления операционной системы.

Следите за новостями Apple в нашем Telegram-канале, а также в приложении MacDigger на iOS.

Источник: MacDigger.ru


5 комментариев

  • Пользуюсь MacBook и iPhone X, ничего из перечисленного не наблюдал, все отлично работает.
    • Любит у нас народ хайпануться. На двух десятках - никаких проблем не было. root в macOS по жизни отключен, но заплатку поставил, косяк есть и это факт. На FaceID ничего не повлияло - как работало все так и работает без всяких перезагрузок.
  • Вот козлы... я про Самсунг... и тут накосячили...
  • Статья для дебилов? По моему и так ясно это. Если 1013.1 сразу дырявая вышла. Вот если это на 10.13.2 надо было бы делать после апгрейда, тогда другое дело
  • А теперь по-русски: Патч, лечащий "рут"-баг, появился после выхода версии 13.1. В этой связи заплатку придется ставить в том случае, если вы по какой-то причине НЕ ОБНОВИЛИСЬ НА 13.1 вовремя (цитирую оригинальную статью: Essentially, if you were behind and hadn’t updated to macOS 10.13.1 yet, you need to be sure to reinstall the security patch that Apple released earlier this week for the root hole.)